> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Create Fee

POST https://app.usebridge.com/api/fees/v2
Content-Type: application/json

This endpoint can only be used after setting up the billing integration. Refer to the [billing integration documentation](/documentation/integrations/billing/overview) for more details.

This endpoint may return a `409` error response with one of these public `message` values:
- `Conflicting Fee exists`

Reference: https://docs.usebridge.com/api/api-reference/billing/fees/create-fee

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a FeeCreateV1Request.

- `patientId` (string, required)
- `type` (enum, required)
  - Allowed values: `LATE_CANCELLATION`, `NO_SHOW`
- `serviceId` (string, optional)
- `externalId` (string, optional)
- `amount` (integer, optional)

## Response

### 200

- `id` (string, required)
- `createdAt` (datetime, required)
- `patientId` (string, required)
- `type` (enum, required)
  - Allowed values: `LATE_CANCELLATION`, `NO_SHOW`
- `amount` (integer, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `CAPTURING`, `PAID`, `VOIDED`, `PARTIALLY_REFUNDED`, `REFUNDED`
- `serviceId` (string, optional)
- `externalId` (string, optional)

## Examples

**Request**

```json
{
  "patientId": "patientId",
  "type": "LATE_CANCELLATION"
}
```

**Response**

```json
{
  "id": "id",
  "createdAt": "2024-01-15T09:30:00Z",
  "patientId": "patientId",
  "type": "LATE_CANCELLATION",
  "amount": 1,
  "status": "PENDING",
  "serviceId": "serviceId",
  "externalId": "externalId"
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/fees/v2"

payload = {
    "patientId": "patientId",
    "type": "LATE_CANCELLATION"
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/fees/v2';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientId":"patientId","type":"LATE_CANCELLATION"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/fees/v2"

	payload := strings.NewReader("{\n  \"patientId\": \"patientId\",\n  \"type\": \"LATE_CANCELLATION\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/fees/v2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientId\": \"patientId\",\n  \"type\": \"LATE_CANCELLATION\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.usebridge.com/api/fees/v2")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientId\": \"patientId\",\n  \"type\": \"LATE_CANCELLATION\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.usebridge.com/api/fees/v2', [
  'body' => '{
  "patientId": "patientId",
  "type": "LATE_CANCELLATION"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/fees/v2");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientId\": \"patientId\",\n  \"type\": \"LATE_CANCELLATION\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "patientId": "patientId",
  "type": "LATE_CANCELLATION"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/fees/v2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```